| GL Studio C++ Runtime API

Public Member Functions | List of all members
RSOInterface1::ResourceFilter Class Referenceabstract

`#include <rso_interface_1.h>`

## Public Member Functions
virtual int | LevelsUp () const =0
virtual void | LevelsUp (int value)=0
virtual int | GroupLevelsDown () const =0
virtual void | GroupLevelsDown (int value)=0
virtual bool | NamesOnly () const =0
virtual void | NamesOnly (bool value)=0
virtual void | AddExclude (const char *str)=0
virtual int | ExcludeCount () const =0
virtual const char * | GetExclude (int index) const =0
virtual void | AddInclude (const char *str)=0
virtual int | IncludeCount () const =0
virtual const char * | GetInclude (int index) const =0
virtual bool | PassFilter (const char *name) const =0

## Detailed Description

The resource filter is a parameter to the GetResources method

## Member Function Documentation

## ◆ AddExclude()

virtual void AddExclude | ( | const char * | str | ) |
| pure virtual

Manage the list of excluded attributes.

Parameters

  str | The name of the new exclude item to add.

## ◆ AddInclude()

virtual void AddInclude | ( | const char * | str | ) |
| pure virtual

Manage the list of included attributes.

Parameters

  str | The name of the new include item to add.

## ◆ ExcludeCount()

virtual int ExcludeCount | ( |  | ) | const
| pure virtual

Returns
  The number of entries in the exclude list. Default: 0

## ◆ GetExclude()

virtual const char * GetExclude | ( | int | index | ) | const
| pure virtual

Returns NULL if index >= ExcludeCount() or index < -1

Parameters

  index | The index of the exlcusion item to return.

Returns
  The name of the item associated with the index.

## ◆ GetInclude()

virtual const char * GetInclude | ( | int | index | ) | const
| pure virtual

Returns NULL if index >= IncludeCount() or index < -1.

Parameters

  index | The index of the inclusion item to return.

Returns
  The name of the item associated with the index.

## ◆ GroupLevelsDown() [1/2]

virtual int GroupLevelsDown | ( |  | ) | const
| pure virtual

Returns
  The number of levels of children to show.

## ◆ GroupLevelsDown() [2/2]

virtual void GroupLevelsDown | ( | int | value | ) |
| pure virtual

How many levels of children to show. 0 means don't show any children properties -1 means all the way down. Default: -1

Parameters

  value | The new levels of children to show.

## ◆ IncludeCount()

virtual int IncludeCount | ( |  | ) | const
| pure virtual

Returns
  The number of entries in the include list. Default: 0

## ◆ LevelsUp() [1/2]

virtual int LevelsUp | ( |  | ) | const
| pure virtual

Returns
  The levels of qualification to show in the name.

## ◆ LevelsUp() [2/2]

virtual void LevelsUp | ( | int | value | ) |
| pure virtual

How many levels of qualification to show in the name. -1 means full qualification. Default: -1

Parameters

  value | The new levels of qualification to show.

## ◆ NamesOnly() [1/2]

virtual bool NamesOnly | ( |  | ) | const
| pure virtual

Returns
  True if only a list of names will be returned.

## ◆ NamesOnly() [2/2]

virtual void NamesOnly | ( | bool | value | ) |
| pure virtual

If true, only a list of names will be returned. Values will not be returned. The format changes to not include the ":". Default: false

Parameters

  value | The new names only flag.

## ◆ PassFilter()

virtual bool PassFilter | ( | const char * | name | ) | const
| pure virtual

Check a name against the filters. Exclude list takes precedence.

Parameters

  name | The name to check against the filter.

Returns
  True if the name passes the filter (to be included in the result).

The documentation for this class was generated from the following file:

- rso_interface_1.h